# Список изменений в версии 7.0.0

## Добавлено
### Глобально
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-649 | Добавлен модуль `decort_snapshot` для управления снимками виртуальных машин. |
| BANS-670 | Добавлена возможность авторизации с помощью BVS . Добавлены новые параметры: `domain`, `username` и `password`. В параметре `authenticator` добавлены значения `decs3o` и `bvs`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-667 | Добавлено возвращаемое значение `vnc_password`. |
| BANS-673 | Добавлен параметр `auto_start`. |
| BANS-621 | Добавлен параметр `networks.mtu` (только для DPDK-сетей). |

### Модуль decort_jwt
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-681 | Добавлена возможность получения JWT-токена с помощью BVS. Добавлены новые параметры: `authenticator`, `domain`, `username` и `password`. |

## Удалено
### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-630 | Удалено значение `check` параметра `state`. Теперь для получения информации от виртуальной машины достаточно передать параметр `id`. |

### Модуль decort_jwt
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-681 | Удален параметр `validity`. |

## Исправлено
### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-630 | Скорректирована логика параметра целевого состояния `present`. Теперь состояние `present` соответствует тому, что виртуальная машина существует, и не приводит к изменению состояния существующей виртуальной машины.  Также для параметра `state` значение по умолчанию `present` теперь только при создании виртуальной машины. |
